Bug 1114860 - With no datacenters, error should be shown when creating VMWare compute resource
Summary: With no datacenters, error should be shown when creating VMWare compute resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Shlomi Zadok
QA Contact: Li Bin Liu
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-01 07:37 UTC by Jan Hutař
Modified: 2017-02-23 21:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6540 None None None 2016-04-22 16:56:56 UTC

Description Jan Hutař 2014-07-01 07:37:22 UTC
Description of problem:
Clicking "Load Datacenters" when creating VMWare compute resource complains: "String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware VMWare-vCentre was not decrypted" and you can not save the compute resource. No error message is displayed.


Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140626.1
VMware-vCenter-Server-Appliance-5.5.0.10000-1624811_OVF10.ova + latest updates


How reproducible:
always


Steps to Reproduce:
1. Start VMware-vCenter-Server
2. Create compute profile with VMWare provider, IP adress set to vCenter server,
   user "root" and password "vmware" (credentials I use to connect to "VMware
   vCenter Server Appliance" webUI)
3. Click [Load Datacenters]


Actual results:
Nothing happens in webUI besides "Fingerprint" field being populated. Clicking on [Submit] do not save the compute resource


Expected results:
Either error message should appear or [Submit] should save the compute resource


Additional info:
==> /var/log/foreman/production.log <==
Processing by ComputeResourcesController#create as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"<token>", "compute_resource"=>{"name"=>"VMWare-vCentre", "provider"=>"Vmware", "description"=>"", "server"=>"<ip>", "user"=>"root", "password"=>"[FILTERED]", "set_console_password"=>"[FILTERED]", "location_ids"=>["", "2"], "organization_ids"=>["", "1"]}, "commit"=>"Submit"}
String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware VMWare-vCentre was not decrypted
String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware VMWare-vCentre was not decrypted
String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware VMWare-vCentre was not decrypted
Failed to save: Datacenter can't be blank
  Rendered compute_resources/form/_vmware.html.erb (8.7ms)
  Rendered taxonomies/_loc_org_tabs.html.erb (8.0ms)
  Rendered compute_resources/_form.html.erb (333.2ms)
  Rendered compute_resources/new.html.erb within layouts/application (333.8ms)
  Rendered home/_submenu.html.erb (4.8ms)
  Rendered home/_user_dropdown.html.erb (5.0ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_organization_dropdown.html.erb (3.8ms)
  Rendered home/_location_dropdown.html.erb (3.0ms)
  Rendered home/_org_switcher.html.erb (7.4ms)
  Rendered home/_submenu.html.erb (3.9ms)
  Rendered home/_submenu.html.erb (3.9ms)
  Rendered home/_submenu.html.erb (4.4ms)
  Rendered home/_submenu.html.erb (3.0ms)
  Rendered home/_submenu.html.erb (2.8ms)
  Rendered home/_submenu.html.erb (4.2ms)
Write fragment views/tabs_and_title_records-1 (1.5ms)
  Rendered home/_topbar.html.erb (46.2ms)
  Rendered layouts/base.html.erb (47.8ms)
Completed 200 OK in 411ms (Views: 382.2ms | ActiveRecord: 4.3ms)

Comment 2 Jan Hutař 2014-07-01 08:06:34 UTC
OK, when I have created some datacenter (I have created some cluster as well) in vSphere Web Client, it started to work. So please read this bug like "With no datacenters, error should be shown" - otherwise webUI just seems unresponsive.

Comment 3 Dominic Cleal 2014-07-09 10:19:56 UTC
Created redmine issue http://projects.theforeman.org/issues/6540 from this bug

Comment 4 Bryan Kearney 2014-12-28 15:02:35 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6540 has been closed
-------------
Shlomi Zadok
Applied in changeset commit:ebac69ceab851c6124d9fc167b3d58f8c559e1ae.

Comment 7 gaoshang 2015-04-07 02:17:40 UTC
(In reply to Jan Hutař from comment #2)
> OK, when I have created some datacenter (I have created some cluster as
> well) in vSphere Web Client, it started to work. So please read this bug
> like "With no datacenters, error should be shown" - otherwise webUI just
> seems unresponsive.

I can add vmware vCenter sucessfully now and according to Comment 2:

1, leave "VCenter/Server *", "Username *", "Password *" blank, click "Load Datacenters", error is shown as "can't be blank"

2, fill in with not exist vCenter, time out and prompt:
Unable to save
execution expired

3, fill in with wrong user/password, it prompt:
Unable to save
InvalidLogin: Cannot complete login due to an incorrect user name or password.

So I thinks this bug has been fixed, thanks!

Comment 8 Bryan Kearney 2015-08-11 13:35:20 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:10:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.